com.cloudera.sqoop.lib

## Class ClobRef

- java.lang.Object
- - org.apache.sqoop.lib.LobRef<DATATYPE,CONTAINERTYPE,ACCESSORTYPE>
  - - com.cloudera.sqoop.lib.LobRef<java.lang.String,java.lang.String,java.io.Reader>
    - - org.apache.sqoop.lib.ClobRef
      - - com.cloudera.sqoop.lib.ClobRef

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, org.apache.hadoop.io.Writable

  Deprecated.
  use org.apache.sqoop.lib.ClobRef instead.

      public class ClobRef
      extends ClobRef

  ClobRef is a wrapper that holds a CLOB either directly, or a reference to a file that holds the CLOB data.
  See Also:
    `ClobRef`

- - ### Field Summary

    - ### Fields inherited from class com.cloudera.sqoop.lib.LobRef

      `EXTERNAL_MATCHER, LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClobRef()` Deprecated.
    `ClobRef(java.lang.String chars)` Deprecated.
    `ClobRef(java.lang.String file, long offset, long length)` Deprecated. Initialize a clobref to an external CLOB.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClobRef` | `parse(java.lang.String inputString)` Deprecated. Create a ClobRef based on parsed data from a line of text.

    - ### Methods inherited from class org.apache.sqoop.lib.ClobRef

      `deepCopyData, getExternalSource, getInternalData, getInternalSource, readFieldsInternal, writeInternal`

    - ### Methods inherited from class org.apache.sqoop.lib.LobRef

      `clone, close, finalize, getData, getDataObj, getDataStream, getDataStream, isExternal, readFields, setDataObj, toString, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClobRef

          public ClobRef()

      Deprecated.

    - #### ClobRef

          public ClobRef(java.lang.String chars)

      Deprecated.

    - #### ClobRef

          public ClobRef(java.lang.String file,
                 long offset,
                 long length)

      Deprecated.
      Initialize a clobref to an external CLOB.
      Parameters:
        `file` - the filename to the CLOB. May be relative to the job dir.
        `offset` - the offset (in bytes) into the LobFile for this record.
        `length` - the length of the record in characters.

  - ### Method Detail

    - #### parse

          public static ClobRef parse(java.lang.String inputString)

      Deprecated.
      Create a ClobRef based on parsed data from a line of text.
      Parameters:
        `inputString` - the text-based input data to parse.
      Returns:
        a ClobRef to the given data.

Copyright © 2015 The Apache Software Foundation